<template>
  <div class="flex flex-col gap-4">
    <svn-modal-manage-people
      activator-text="Open Modal"
      activator-variant="plain"
      :search-users="mockUsers"
      :list-users="listUsers"
      modal-custom-class="!w-[585px]"
    />
  </div>
</template>

<script setup>
const mockUsers = [
  {
    id: 1,
    avatar: 'https://sm.ign.com/ign_fr/cover/a/avatar-gen/avatar-generations_bssq.jpg',
    firstname: "Darell",
    lastname: 'Steward',
    fullname: "Darell Steward",
  },
  {
    id: 2,
    avatar: null,
    firstname: "Esther",
    lastname: 'Howard',
    fullname: "Esther Howard",
  },
  {
    id: 7,
    avatar: null,
    firstname: "Jenny",
    lastname: 'Wilson',
    fullname: "Jenny Wilson",
  },
  {
    id: 3,
    avatar: null,
    firstname: "Robert",
    lastname: 'Garcia',
    fullname: "Robert Garcia",
  },
  {
    id: 4,
    avatar: null,
    firstname: "Harold",
    lastname: 'Léon',
    fullname: "Harold Léon",
  },
  {
    id: 5,
    avatar: null,
    firstname: "William",
    lastname: 'Favreau',
    fullname: "William Favreau",
  },
  {
    id: 6,
    avatar: null,
    firstname: "Hammayoun",
    lastname: 'Safi',
    fullname: "Hammayoun Safi",
  },
]

const listUsers = [
{
    id: 1,
    avatar: 'https://sm.ign.com/ign_fr/cover/a/avatar-gen/avatar-generations_bssq.jpg',
    firstname: "Darell",
    lastname: 'Steward',
    fullname: "Darell Steward",
  },
  {
    id: 2,
    avatar: null,
    firstname: "Esther",
    lastname: 'Howard',
    fullname: "Esther Howard",
  },
]
</script>

<style scoped>

</style>